Package com.io7m.cardant.model

# Record Class CAMetadataType.Time

java.lang.Object
java.lang.Record
com.io7m.cardant.model.CAMetadataType.Time

Record Components:
  `name` - The metadata name
  `value` - The metadata value

All Implemented Interfaces:
  `CAMetadataType`

Enclosing interface:
  `CAMetadataType`

public static record CAMetadataType.Time(com.io7m.lanark.core.RDottedName name, OffsetDateTime value) extends Record implements CAMetadataType
A time value.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.io7m.cardant.model.CAMetadataType

  `CAMetadataType.Integral, CAMetadataType.Monetary, CAMetadataType.Real, CAMetadataType.Text, CAMetadataType.Time`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Time(com.io7m.lanark.core.RDottedName name, OffsetDateTime value)`
  A time value.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `com.io7m.lanark.core.RDottedName`
  `name()`
  Returns the value of the `name` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `OffsetDateTime`
  `value()`
  Returns the value of the `value` record component.
  `String`
  `valueString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Time

    public Time(com.io7m.lanark.core.RDottedName name, OffsetDateTime value)
    A time value.

- ## Method Details

  - ### valueString

    public String valueString()
    Specified by:
      `valueString` in interface `CAMetadataType`
    Returns:
      The metadata value as a string

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### name

    public com.io7m.lanark.core.RDottedName name()
    Returns the value of the `name` record component.
    Specified by:
      `name` in interface `CAMetadataType`
    Returns:
      the value of the `name` record component

  - ### value

    public OffsetDateTime value()
    Returns the value of the `value` record component.
    Returns:
      the value of the `value` record component